package org.gcube.portlets.widgets.githubconnector.client.resource;


import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.ImageResource;

/**
 * 
 * @author "Giancarlo Panichi" 
 * <a href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a> 
 *
 */
public interface GCResources extends ClientBundle {
	
	public static final GCResources INSTANCE=GWT.create(GCResources.class);
	
	@Source("Wizard.css")
	WizardCSS wizardCSS();
	
	@Source("arrow-refresh.png")
	ImageResource refresh();
	
	@Source("arrow-refresh_16.png")
	ImageResource refresh16();
	
	
	@Source("arrow-refresh_32.png")
	ImageResource refresh32();
	
	@Source("wizard-next.png")
	ImageResource wizardNext();
	
	@Source("wizard-next_32.png")
	ImageResource wizardNext32();
	
	@Source("wizard-previous.png")
	ImageResource wizardPrevious();
	
	@Source("wizard-previous_32.png")
	ImageResource wizardPrevious32();
	
	@Source("wizard-go.png")
	ImageResource wizardGo();
	
	@Source("wizard-go_32.png")
	ImageResource wizardGo32();
	
	
}
 